# Class SaslServerCallbackHandler

java.lang.Object
org.apache.zookeeper.server.auth.SaslServerCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

public class SaslServerCallbackHandler extends Object implements CallbackHandler

## Constructor Summary

Constructors
Constructor
Description
`SaslServerCallbackHandler(Map<String,String> credentials)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Callback[] callbacks)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SaslServerCallbackHandler

public SaslServerCallbackHandler(Map<String,String> credentials)

## Method Details

### handle

public void handle(Callback[] callbacks) throws UnsupportedCallbackException

Specified by:
  `handle` in interface `CallbackHandler`
Throws:
  `UnsupportedCallbackException`